PARPORT_REGISTER_DRI(9)

NAME
parport_register_driver - register a parallel port device driver

SYNOPSIS

int parport_register_driver(struct parport_driver * drv);

ARGUMENTS

drv
    structure describing the driver

DESCRIPTION

This can be called by a parallel port device driver in order to receive notifications about ports being found in the system, as well as ports no longer available.

The drv structure is allocated by the caller and must not be deallocated until after calling parport_unregister_driver.

The driver's attach function may block. The port that attach is given will be valid for the duration of the callback, but if the driver wants to take a copy of the pointer it must call parport_get_port to do so. Calling parport_register_device on that port will do this for you.

The driver's detach function may block. The port that detach is given will be valid for the duration of the callback, but if the driver wants to take a copy of the pointer it must call parport_get_port to do so.

Returns 0 on success. Currently it always succeeds.

COPYRIGHT